// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta visibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MEDIE DI MISURE DI DISTANZA - CONVERSIONE DA FARE
// Questo programma effettua un dato numero di misure di tempo, le quali possono essere convertite in distanze inserendo la formula opportuna, ne calcola la media e poi riprende da capo. In tutto viene calcolato un numero definito di medie.
// Le misure iniziano non appena si apre il monitor seriale. Ogni media viene stampata sul monitor seriale.

#define TRIG -    // Al posto dei trattini, inserire il numero del pin di Arduino a cui è collegato TRIG del sensore (es. 2)
#define ECHO -    // Al posto dei trattini, inserire il numero del pin di Arduino a cui è collegato ECHO del sensore (es. 4)

void setup() {
  Serial.begin(9600);
  analogReference(EXTERNAL);
  pinMode(TRIG, OUTPUT);
  pinMode(ECHO, INPUT);
  digitalWrite(TRIG, LOW);
  float distanza=0.;
  float somma=0.;
  float temperatura=0.; 
  int i=0;
  int m=0; 
  int rip=--;                       // Al posto dei trattini, inserire il numero di misure delle quali viene calcolata la media ogni volta (es. 10)
  for (m=0; m<--; m++) {            // Al posto dei trattini, inserire il numero di medie che si vuole calcolare (es. 10)
    for(i=0; i<rip; i++){
      digitalWrite(TRIG, HIGH);  
      delayMicroseconds(10);
      digitalWrite(TRIG, LOW);
      unsigned long Dt = pulseIn(ECHO, HIGH);

      // QUA SOTTO INSERIRE, AL POSTO DEI TRATTINI E DOPO AVER TOLTO LE BARRE, LA FORMULA PER CONVERTIRE IL TEMPO IMPIEGATO DAL SEGNALE IN UNA DISTANZA:
      // ---------------------------
      // USARE I SEGUENTI NOMI PER LE GRANDEZZE:
      // Dt = tempo impiegato dal segnale per raggiungere l'ostacolo e ritornare (in microsecondi)
      // distanza = distanza tra il sensore e l'ostacolo (in centimetri)
      
      somma += distanza;
      delay(20);
    }
    Serial.println(somma/rip);
    somma=0.;
    delay(100);                    // Il numero tra parentesi indica i microsecondi di pausa tra una media e la successiva; possono essere modificati a piacere per accorciare o allungare la pausa
}

void loop() {
  
}
}
