// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta disponibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MEDIE DI MISURE DI TEMPERATURA
// Questo programma effettua un dato numero di misure, ne calcola la media e poi riprende da capo. In tutto viene calcolato un numero definito di medie.
// Le misure iniziano non appena si apre il monitor seriale. Ogni media viene stampata sul monitor seriale.

#define pinIn --    // Al posto dei trattini, inserire il nome del pin analogico di Arduino collegato al sensore di temperatura (es. A0)

void setup() {
  Serial.begin(9600);
  analogReference(EXTERNAL);
  float somma=0.;
  float temperatura=0.;
  int i=0;
  int m=0; 
  int rip=--;                       // Al posto dei trattini, inserire il numero di misure delle quali viene calcolata la media ogni volta (es. 10)
  for (m=0; m<--; m++) {            // Al posto dei trattini, inserire il numero di medie che si vuole calcolare (es. 10)
    for (i=0; i<rip; i++) { 
      int input = analogRead(pinIn);
      temperatura = (float)input;   // (float)input è il valore in bit misurato dal sensore. Quando si ha una formula per convertire questo valore in Celsius, inserirla qui
      somma += temperatura;
    }
    Serial.println(somma/rip);
    somma=0;
    delay(10000);                    // Il numero tra parentesi indica i microsecondi di pausa tra una media e la successiva; possono essere modificati a piacere per accorciare o allungare la pausa
}

void loop() {

}
