// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta visibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MISURE DI INCLINAZIONE
// Questo programma effettua un numero pressoché infinito di misure di inclinazione.
// Le misure iniziano non appena si apre il monitor seriale. Per interromperle, togliere la spunta dallo scorrimento automatico.

#include <MPU6050_tockn.h>
#include <Wire.h>

MPU6050 mpu6050(Wire);

void setup() {
  Serial.begin(9600);
  Wire.begin();
  mpu6050.begin();
  mpu6050.calcGyroOffsets(true);
  Serial.print(" ");
  Serial.print("Inclinazione (°)");
}

unsigned long t1, dt;
float y;

void loop() {
  mpu6050.update();
  dt = millis() - t1;
  if (dt > 200) {
    t1 = millis();
    y = mpu6050.getAngleY();
    Serial.println(mpu6050.getAngleY());
  }
}
