// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta visibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MEDIA DI MISURE DI INTENSITA' LUMINOSA NORMALIZZATE
// Questo programma effettua un dato numero di misure e ne calcola la media normalizzata.
// Ogni volta che si vuole ottenere una nuova media, digitare g sul monitor seriale.

#define pinIn --  // Al posto dei trattini, inserire il nome del pin analogico di Arduino collegato alla fotoresistenza (es. A0)
float I0=0.;

void setup() {
  Serial.begin(9600);
  int i=0;
  int a1=0;
  int sumI=0;
  for (i=0; i<10; i++) {
      a1 = analogRead(pinIn);
      sumI += a1;
    }
    I0 = sumI/10;
    Serial.println("Intensità (%)");
}

void loop() {
  float media=0.;
  float somma=0.;
  int i=0;
  int rip=--;                       // Al posto dei trattini, inserire il numero di misure delle quali si vuole calcolare la media (es. 20)
  char tastiera;
  tastiera = Serial.read();
  switch(tastiera) {
    case 'g':
    for (i=0; i<rip; i++) {
      int a0val = analogRead(pinIn); 
      somma += a0val/I0*100;
    }
    media = somma/rip;
    Serial.println(String(media)); 
    somma=0.;
    media=0.;
    break;
  }
}
