// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta visibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MEDIA DI MISURE DI INTENSITA' LUMINOSA NORMALIZZATE CON ERRORE
// Questo programma effettua un dato numero di misure e ne calcola la media normalizzata e l'errore in percentuale.
// Ogni volta che si vuole ottenere una nuova media con errore, digitare g sul monitor seriale.

#define pinIn --  // Al posto dei trattini, inserire il nome del pin analogico di Arduino collegato alla fotoresistenza (es. A0)
float I0=0.;

void setup() {
  Serial.begin(9600);
  int i=0;
  int a1=0;
  int sumI=0;
  for (i=0; i<10; i++) {
      a1 = analogRead(pinIn);
      sumI += a1;
    }
    I0 = sumI/10;
    Serial.print("Intensità (%)");
    Serial.print(" ");
    Serial.println("err (%)");
}

void loop() {
  float media=0.;
  float err=0.;
  float somma=0.;
  float err_sum=0.;
  float diff=0.;
  float var=0.;
  int i=0;
  int m=0;
  int rip=--;                       // Al posto dei trattini, inserire il numero di misure delle quali si vuole calcolare la media e l'errore (es. 20)
  float dati[rip];
  char tastiera;
  tastiera = Serial.read();
  switch(tastiera) {
    case 'g':
    for (i=0; i<rip; i++) {
      int a0val = analogRead(pinIn);
      dati[i] = a0val/I0*100; 
      somma += a0val/I0*100;
    }
    media = somma/rip;
    for (m=0; m<rip; m++) {
      diff = dati[m] - media;
      var = pow(diff, 2);
      err_sum += var;
    }
    err = sqrt(err_sum/rip);
    Serial.println(String(media) + "   " + String(err)); 
    somma=0.;
    err_sum=0.;
    media=0.;
    err=0.;
    break;
  }
}
