// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta visibile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MEDIA DI MISURE DI TEMPERATURA CON ERRORE
// Questo programma effettua un dato numero di misure e ne calcola la media e l'errore.
// Ogni volta che si vuole ottenere una nuova media con errore, digitare g sul monitor seriale.

#define pinIn -- ;    // Al posto dei trattini, inserire il nome del pin analogico di Arduino collegato al sensore di temperatura (es. A0)

void setup() {
  Serial.begin(9600);
  analogReference(EXTERNAL);
}


void loop() {
  float temperatura=0.;
  float media=0.;
  float err=0.;
  float somma=0.;
  float err_sum=0.;
  float diff=0.;
  float var=0.;
  int i=0;
  int m=0;
  int rip=--;                          // Al posto dei trattini, inserire il numero di misure delle quali si vuole calcolare la media e l'errore
  float dati[rip];                      
  char tastiera;
  tastiera = Serial.read();
  switch(tastiera) {
    case 'g': 
    for (i=0; i<rip; i++) {
      int input = analogRead(pinIn);
      temperatura = (float)input;      // (float)input è il valore in bit misurato dal sensore. Quando si ha una formula per convertire questo valore in Celsius, inserirla qui
      dati[i] = temperatura;
      somma += temperatura;
    }
    media = somma/rip;
    for (m=0; m<rip; m++) {
      diff = dati[m] - media;
      var = pow(diff, 2);
      err_sum += var;
    }
    err = sqrt(err_sum/rip);
    Serial.println(String(media) + "   " + String(err));
    somma=0.;
    err_sum=0.;
    media=0.;
    err=0.;
    break;
  }
}
