// Prima di caricare il programma, selezionare Strumenti > Scheda > Arduino Uno e Strumenti > Porta > selezionare la porta variabile
// Caricare il programma finito su Arduino schiacciando la freccetta in alto a sinistra
// Visualizzare il monitor seriale schiacciando la lente d'ingrandimento in alto a destra

// MISURE DI TEMPERATURA
// Questo programma effettua un certo numero di misure di temperatura consecutive.
// Le misure iniziano non appena si apre il monitor seriale. Ogni misura viene stampata sul monitor seriale.

#define pinIn --      // Al posto dei trattini, inserire il nome del pin analogico di Arduino collegato al sensore di temperatura (es. A0)

void setup() {
  Serial.begin(9600);
  analogReference(EXTERNAL);
  int i=0;
   float temperatura=0.;
   // unsigned long tempo;              // Togliere le barre se si vuole calcolare i tempi (in microsecondi) ai quali vengono effettuate le misure
   for (i; i<--; i++) {                 // Al posto dei trattini, inserire il numero di misure che si vogliono effettuare (es. 100)
      // tempo = micros();              // Togliere le barre se si vuole calcolare i tempi (in microsecondi) ai quali vengono effettuate le misure
      int input = analogRead(pinIn);
      temperatura = (float)input;       // (float)input è il valore in bit misurato dal sensore. Quando si ha una formula per convertire questo valore in Celsius, inserirla qui
      delay(100);                       // Il numero tra parentesi indica i microsecondi di pausa tra una misura e la successiva; possono essere modificati a piacere per accorciare o allungare la pausa
      // Serial.print(String(tempo) + "   ");   // Togliere le barre se si vuole visualizzare i tempi calcolati sul monitor seriale
      Serial.println(temperatura);
    }
}

void loop() {

}
